Security groups

Update a security group rule

PUT
/cloud/project/{project_uuid}/firewall/groups/{uuid}/rules/

Updates the rule at pos. Send an empty string to clear source, dest, sport, dport or comment.

Authorization

bearerAuth
AuthorizationBearer <token>

API key created in the portal (Settings → API Keys). Send as Authorization: Bearer <key>.

In: header

Path Parameters

project_uuid*string

Project UUID.

uuid*string

Security group UUID.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Create or update a security-group rule.

Response Body

application/json

curl -X PUT "https://example.com/cloud/project/string/firewall/groups/string/rules/" \  -H "Content-Type: application/json" \  -d '{    "type": "in",    "action": "ACCEPT",    "proto": "tcp"  }'
{  "message": "string"}